import { translations } from '../translations/';

function AddContentTranslate() {
    /*@ngInject*/

    let language = 'en';

    const get = (bemKey, replaceConfig) => {
        let translatedString = translations[language][bemKey] || translations['en'][bemKey] || bemKey;

        // Handle placeholders
        if (typeof replaceConfig === 'object') {
            for (let placeholder in replaceConfig) {
                translatedString = translatedString.replace(`{{${placeholder}}}`, replaceConfig[placeholder]);
            }
        }

        return translatedString;
    };

    const use = (userLanguage) => {
        language = userLanguage;
    };

    return { get, use };
}

export default AddContentTranslate;
